Name:           libspnav
Version:        1.1
Release:    1%{?dist}
Summary:        Open source alternative to 3DConnextion drivers

License:        BSD
URL:            http://spacenav.sourceforge.net/
Source0:         https://github.com/FreeSpacenav/libspnav/archive/v%{version}/%{name}-%{version}.tar.gz 

BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  libX11-devel


%description
The spacenav project provides a free, compatible alternative to the proprietary
3Dconnexion device driver and SDK, for their 3D input devices (called "space
navigator", "space pilot", "space traveller", etc).

This package provides the library needed for applications to connect to the 
user land daemon.


%package devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       libX11-devel

%description devel
Development files for %{name}.


%prep
%autosetup -p1


%build
sed -i "s/libdir=lib/libdir=%{_lib}/g" configure
%configure 
sed -i "s/CFLAGS =/CFLAGS +=/g" Makefile
%make_build


%install
%make_install

rm -f %{buildroot}%{_libdir}/%{name}.a




%files
%doc README.md
%license LICENSE
%{_libdir}/*.so.0*

%files devel
%doc examples
%{_datadir}/pkgconfig/spnav.pc
%{_includedir}/*.h
%{_libdir}/*.so


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1-1
- initial build
